import "PvMP_Plus";

--TODO:
-- fenster resizeable machen
-- "einstellungen zurcksetzen" zu lang

_G.version = "1.3";
_G.Ranks = { [0]=0, [1]=500, [2]=1250, [3]=2750, [4]=5750, [5]=14750, [6]=33500, [7]=71000, [8]=146000, [9]=258500, [10]=408500, [11]=633500, [12]=1008500, [13]=1608500, [14]=2508500, [15]=3708500 };
_G.data = {["numbers"] = {}, ["strings"] = {}};
data.numbers.points_current_day = 0;
_G.storage = Turbine.PluginData.Load(Turbine.DataScope.Character,"PvMP_Plus");
_G.last_commendations = tonumber(Turbine.PluginData.Load(Turbine.DataScope.Server,"PvMP_Plus"));
_G.wallet_loaded = false;
_G.changes_made = false;
_G.local_player = Turbine.Gameplay.LocalPlayer.GetInstance();
import "PvMP_Plus.Updater";
_G.new_fight = false;
_G.points_last_fight = 0;
_G.second_counter = 0;
_G.last_10min = {};

if storage == nil or storage.strings == nil then
	_G.data_loaded = false;
	storage = {["numbers"] = {}, ["strings"] = {}};
	data.numbers.points_total = 0;
	data.numbers.commendations = 0;
else
	_G.data_loaded = true;
	
	-- convert saved strings back into numbers
	for i,j in pairs(storage.numbers) do
		data.numbers[i] = tonumber(j);
	end
end

if data.numbers.current_day ==  nil then -- for older versions
	data.numbers.current_day = Turbine.Engine.GetDate().DayOfYear;
end

local current_day = Turbine.Engine.GetDate().DayOfYear;
if data.numbers.current_day ~= current_day then
	data.numbers.current_day = current_day;
	data.numbers.points_current_day = 0;
end

initWindow = InitWindow();
overviewWindow = OverviewWindow();
settings = Settings();

if data_loaded then
	overviewWindow:UpdateOverview(true);
else
	initWindow:Open();
end

Plugins["PvMP+"].Unload = function(sender, args)
	if data_loaded or changes_made  then
		storage.strings.version = version;
		data.numbers.overview_x, data.numbers.overview_y = overviewWindow:GetPosition();
		
	-- convert data into strings
	for i,j in pairs(data.numbers) do
		storage.numbers[i] = tostring(j);
	end

		Turbine.PluginData.Save(Turbine.DataScope.Server, "PvMP_Plus", tostring(data.numbers.commendations));
		Turbine.PluginData.Save(Turbine.DataScope.Character, "PvMP_Plus", storage);
	--	Turbine.Shell.WriteLine("saved");
	end
end

plugin.GetOptionsPanel = function(self)

	local opt_panel = Turbine.UI.Control();
	opt_panel:SetHeight(50);

	local open_settings = Turbine.UI.Lotro.Button();
	open_settings:SetText(L.Options_Open_Settings);
	open_settings:SetPosition(15,15);
	open_settings:SetSize(200,30);
	open_settings:SetParent(opt_panel);
	
	open_settings.MouseClick = function()
		settings:Open();
	end
	
	return opt_panel;
end

-- commands
pvmp_plus_command = Turbine.ShellCommand();
Turbine.Shell.AddCommand("pvmp+", pvmp_plus_command);
function pvmp_plus_command:GetShortHelp()
  return L.Command_Help;
end
function pvmp_plus_command:GetHelp()
  return self:GetShortHelp();
end
function pvmp_plus_command:Execute(cmd, args)
  if (args == L.Command_Options or args == L.Command_Settings) then
    settings:Open();
  else
    Turbine.Shell.WriteLine(self:GetShortHelp());
  end
end