Updater = Turbine.UI.Control();
Updater:SetWantsUpdates(true);
	
Updater.Update = function(sender, args)
	local currentdate = Turbine.Engine.GetDate();
	local currentsecond = currentdate.Second;
	

	if (oldsecond ~= currentsecond) then
		second_counter = second_counter + 1;
	
		if (wallet_loaded) then
		
			if (commendations_in_wallet == nil) then -- wallet not completely loaded
				wallet_loaded = false;
				return;
			end
			
			data.numbers.commendations = commendations_in_wallet:GetQuantity();
			local current_day = Turbine.Engine.GetDate().DayOfYear;
			if data.numbers.current_day ~= current_day then
				data.numbers.current_day = current_day;
				data.numbers.points_current_day = 0;
			end
			overviewWindow:UpdateOverview();
			
		else
			
			local player_wallet = local_player:GetWallet();
			local player_wallet_size = player_wallet:GetSize();
				
			if player_wallet_size == 0 then return end -- Remove when Wallet info are available before plugin is loaded
			
			for i = 1, player_wallet_size do
				local walletitem = player_wallet:GetItem(i);
				local walletitem_name = player_wallet:GetItem(i):GetName();

				if walletitem_name == L.Strings_Commendations then
					commendations_in_wallet = walletitem;
					data.numbers.commendations = commendations_in_wallet:GetQuantity();
					break
				end
			end

			if last_commendations ~= nil then -- old commendations loaded -> check for out of sync
				if last_commendations ~= data.numbers.commendations then
					initWindow:DataOutOfSync();
				end
			end
			
			overviewWindow:UpdateOverview();
			wallet_loaded = true;
		end

		oldsecond = currentsecond;
	end
end

local_player.InCombatChanged = function (sender, args)

	if local_player:IsInCombat() then
		new_fight = true;
	end

end